### Enumeration

# Gio TlsProtocolVersion

since: 2.70

#### Declaration

    enum Gio.TlsProtocolVersion

#### Description [src]

The TLS or DTLS protocol version used by a `GTlsConnection` or `GDtlsConnection`. The integer values of these versions are sequential to ensure newer known protocol versions compare greater than older known versions. Any known DTLS protocol version will compare greater than any SSL or TLS protocol version. The protocol version may be `G_TLS_PROTOCOL_VERSION_UNKNOWN` if the TLS backend supports a newer protocol version that GLib does not yet know about. This means that it’s possible for an unknown DTLS protocol version to compare less than the TLS protocol versions.

Available since: 2.70

#### Members

`G_TLS_PROTOCOL_VERSION_UNKNOWN`

  No protocol version or unknown protocol version.

  - Value: `0`
  - Available since: 2.70
`G_TLS_PROTOCOL_VERSION_SSL_3_0`

  SSL 3.0, which is insecure and should not be used.

  - Value: `1`
  - Available since: 2.70
`G_TLS_PROTOCOL_VERSION_TLS_1_0`

  TLS 1.0, which is insecure and should not be used.

  - Value: `2`
  - Available since: 2.70
`G_TLS_PROTOCOL_VERSION_TLS_1_1`

  TLS 1.1, which is insecure and should not be used.

  - Value: `3`
  - Available since: 2.70
`G_TLS_PROTOCOL_VERSION_TLS_1_2`

  TLS 1.2, defined by RFC 5246.

  - Value: `4`
  - Available since: 2.70
`G_TLS_PROTOCOL_VERSION_TLS_1_3`

  TLS 1.3, defined by RFC 8446.

  - Value: `5`
  - Available since: 2.70
`G_TLS_PROTOCOL_VERSION_DTLS_1_0`

  DTLS 1.0, which is insecure and should not be used.

  - Value: `201`
  - Available since: 2.70
`G_TLS_PROTOCOL_VERSION_DTLS_1_2`

  DTLS 1.2, defined by RFC 6347.

  - Value: `202`
  - Available since: 2.70